%define src_ver .11.2
%define major  3

Summary:       Portable Spell Checker Interface Library
Name:          pspell
Version:       0%{src_ver}
Release:       9mdk
Group:         System/Libraries
Source0:       http://download.sourceforge.net/%{name}-%{src_ver}.tar.bz2
URL:           http://pspell.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Copyright:     GPL
BuildRequires: libstdc++-devel

%description
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package -n	lib%{name}%{major}
Summary:       %{summary}
Group:         %{group}
Obsoletes:	   pspell
Provides:	   pspell = %{version}

%description -n lib%{name}%{major}
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package -n lib%{name}%{major}-devel
Summary:       Libraries, includes, and other files needed to build applications with pspell
Group:         Development/Other
Requires:      lib%{name}%{major} = %{version}
Provides:      lib%{name}-devel

%description -n lib%{name}%{major}-devel
Libraries, includes, and other files needed to build applications with pspell.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{src_ver}

%build

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure -prefix=%{_prefix} --enable-ltdl

#cd modules
#./add-modules
#cd ..
%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

#cd modules
#%makeinstall
#cd ..

mkdir docdir
cd docdir
cp -var $RPM_BUILD_ROOT%{_prefix}/doc/pspell .
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig -n lib%{name}%{major}
%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files  -n	lib%{name}%{major}
%defattr(-,root,root)
%doc README README-CVS docdir/pspell/*
%{_libdir}/lib*.so.*
%{_datadir}/pspell

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/pspell
%{_bindir}/pspell-config

%changelog
* Sat Apr  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> .11.2-9mdk
- Place Obsolete and Provides in correct package

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> .11.2-8mdk
- Rebuild sound fix aspell.

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.2-7mdk
- more docs.
- rebuild against newer libltdl
- use CXXFLAGS to include RPM_OPT_FLAGS, ie. our optimizations

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-6mdk
- Rename source package to keep version history in CVS, only lib packages should be renamed

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-5mdk
- Remove dependency on aspell !!

* Mon Nov  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-4mdk
- Rebuild with new libstdc++
- Rename for new libraries package

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.2-3mdk
- Rebuild for gcc2.96.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.2-2mdk
- rebuild in order to link against current libaspell

* Fri Aug 25 2000 Troels Liebe Bentsen 0.11.2-1mdk
- Updated to new version, and added manual without makefiles.

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1 (merged from helix 0_helix_8)
- BM + macroszification
- clean specfile

* Wed Apr 05 2000 Daouda Lo <daouda@mandrakesoft.com> .10-1mdk
- first Mandrake build.
- located in Office (any suggestion???).
- cleanup spec.


